import * as ec2 from '@aws-cdk/aws-ec2';
import * as sns from '@aws-cdk/aws-sns';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface AlarmInstanceProps {
    /**
     * @stability stable
     */
    readonly userData?: ec2.UserData;
    /**
     * @stability stable
     */
    readonly vpc: ec2.IVpc;
    /**
     * @stability stable
     */
    readonly topic?: sns.Topic;
    /**
     * @stability stable
     */
    readonly notifyMail?: string[];
}
/**
 * @stability stable
 */
export declare class AlarmInstance extends cdk.Construct {
    /**
     * @stability stable
     */
    instance: ec2.Instance;
    /**
     * @stability stable
     */
    topic: sns.Topic;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: AlarmInstanceProps);
}
